os: Visual Studio 2015

platform: x64

branches:
  # whitelist
  only:
    - master

install:
  - '"C:\Program Files\Microsoft SDKs\Windows\v7.1\Bin\SetEnv.cmd" /x64'
  - choco install strawberryperl
  - SET PATH=C:\strawberry\c\bin;C:\strawberry\perl\site\bin;C:\strawberry\perl\bin;%PATH%
  - appveyor DownloadFile "http://rakudo.org/downloads/star/rakudo-star-2016.04-x86_64 (JIT).msi" -FileName "%APPVEYOR_BUILD_FOLDER%\rakudo.msi"
  - msiexec /i rakudo.msi /quiet /qn /norestart /log install.log
  - SET PATH=C:\rakudo\bin;C:\rakudo\share\perl6\site\bin;%PATH%
  - panda update
  - panda installdeps .

build: off

test_script:
  - prove -v -e "perl6 -Ilib" t/

# fetch repository as zip archive
shallow_clone: true

# set clone depth
clone_depth: 4
